Subject: Re: powerpc/64: Fix latency tracing for lazy irq replay

From: Michael Ellerman <[email-masked]>
Date: Wed, 8 Nov 2017 10:30:18 +1100 (AEDT)

On Sat, 2017-10-21 at 07:56:06 UTC, Nicholas Piggin wrote:
> When returning from an exception to a soft-enabled context, pending
> IRQs are replayed but IRQ tracing is not reset, so a number of them
> can get chained together into the same IRQ-disabled trace.
> 
> Fix this by having __check_irq_replay re-set IRQ trace. This is
> conceptually where we respond to the next interrupt, so it fits the
> semantics of the IRQ tracer.
> 
> Signed-off-by: Nicholas Piggin <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/ff967900c9d4740f6337c6456f1111

cheers